Bug 163957 - gnome-system-monitor can't display NPTL threads
gnome-system-monitor can't display NPTL threads
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: libgtop2 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 09:30 EDT by Bastien Nocera
Modified: 2014-06-18 05:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 134831 None None None Never

  None (edit)
Description Bastien Nocera 2005-07-22 09:30:46 EDT
Upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=134831

gnome-system-monitor can't display NPTL threads when the "Show Threads" option
is on in the preferences.

How to reproduce (example):

1) start xmms with NPTL (e.g. xmms in an xterm should suffice)
2) confirm the presence of threads with "ps awuxm | grep xmms"
3) start gnome-system-monitor, enable threads and no threads are shown for xmms

4) now close xmms and start it with LinuxThreads (e.g. "LD_ASSUME_KERNEL=2.4.19
xmms" in an xterm)
5) gnome-system-monitor correctly displays threads

One idea was to completely remove the "Show threads" option from
gnome-system-monitor.
Comment 1 Søren Sandmann Pedersen 2006-01-10 17:30:06 EST
Upstream has now removed thread support completely in HEAD, so we can add a
patch to do the same.
Comment 2 Issue Tracker 2007-06-19 05:19:52 EDT
CRM autoclosed, closing

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'Auto Closed'

This event sent from IssueTracker by pdemauro 
 issue 59237
Comment 3 RHEL Product and Program Management 2007-10-19 14:57:39 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.